Loading...
Searching...
No Matches
apache::subversion::svnxx::cancelled Class Reference

Thrown instead of Error when the error chain contains a `SVN_ERR_CANCELLED` error code. More...

`#include <svnxx/exception.hpp>`

Inheritance diagram for apache::subversion::svnxx::cancelled:

## Protected Member Functions

| cancelled (detail::error_ptr err)
Protected Member Functions inherited from apache::subversion::svnxx::error
| error (detail::error_ptr err)
std::vector< message > | compile_messages (bool show_traces) const

## Additional Inherited Members

Public Member Functions inherited from apache::subversion::svnxx::error
virtual const char * | what () const noexcept override
| Returns the message associated with the top-level error that caused the exception.
virtual int | code () const noexcept
| Returns the error code associated with the top-level error that caused the exception.
virtual const char * | name () const noexcept
| Returns the symbolic name of the error code associated with the top-level error that caused the exception.
virtual std::vector< message > | messages () const
| Returns the complete list of error messages, including those from nested errors.
virtual std::vector< message > | traced_messages () const
| Like error::messages(), but includes debugging traceback.
Protected Attributes inherited from apache::subversion::svnxx::error
const char *const | m_message

## Detailed Description

Thrown instead of Error when the error chain contains a `SVN_ERR_CANCELLED` error code.

Definition at line 224 of file exception.hpp.

## Constructor & Destructor Documentation

## ~cancelled()

virtual apache::subversion::svnxx::cancelled::~cancelled | ( |  | ) |

inline virtual

Definition at line 227 of file exception.hpp.

## cancelled()

apache::subversion::svnxx::cancelled::cancelled | ( | detail::error_ptr | err | ) |

inline protected

Definition at line 230 of file exception.hpp.

The documentation for this class was generated from the following file:

- svnxx/exception.hpp